com.singularsys.jeptests.system

## Class ThreadTest

- java.lang.Object
- - com.singularsys.jeptests.system.ThreadTest

-     public class ThreadTest
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `go(java.lang.String expression, int nThreads)`
    `void` | `go2(java.lang.String expression, int nThreads)`
    `void` | `testConvertSpeed()`
    `void` | `testDoc1()`
    `void` | `testDoc2()`
    `void` | `testImportation()`
    `void` | `testThreads()`
    `void` | `testThreadSafeEvaluator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadTest

          public ThreadTest()

  - ### Method Detail

    - #### testThreads

          public void testThreads()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testImportation

          public void testImportation()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testThreadSafeEvaluator

          public void testThreadSafeEvaluator()
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testConvertSpeed

          public void testConvertSpeed()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### go

          public void go(java.lang.String expression,
                         int nThreads)
                  throws JepException

      Throws:
        `JepException`

    - #### testDoc1

          public void testDoc1()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### go2

          public void go2(java.lang.String expression,
                          int nThreads)
                   throws JepException

      Throws:
        `JepException`

    - #### testDoc2

          public void testDoc2()
                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep